## org.apache.hadoop.io.serializer
Interface Serialization<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  JavaSerialization, WritableSerialization

    public interface Serialization<T>

Encapsulates a `Serializer`/`Deserializer` pair.

Method Summary
`boolean` `accept(Class<?> c)` Allows clients to test whether this `Serialization` supports the given class.
`Deserializer<T>` `getDeserializer(Class<T> c)`
`Serializer<T>` `getSerializer(Class<T> c)`

Method Detail

### accept

    boolean accept(Class<?> c)

  Allows clients to test whether this `Serialization` supports the given class.

### getSerializer

    Serializer<T> getSerializer(Class<T> c)

  Returns:
    a `Serializer` for the given class.

### getDeserializer

    Deserializer<T> getDeserializer(Class<T> c)

  Returns:
    a `Deserializer` for the given class.

Copyright © 2009 The Apache Software Foundation